# HavingProjection Class Reference
[Object projections for use in Criteria queries]

Inheritance diagram for HavingProjection:
[legend]

List of all members.

## Public Member Functions

| __construct (LogicalObject $logic)
| process (Criteria $criteria, JoinCapableQuery $query)

## Private Attributes

| $logic = null

## Detailed Description

Definition at line 15 of file HavingProjection.class.php.

## Constructor & Destructor Documentation

HavingProjection::__construct | ( | LogicalObject $ | logic | ) |

Definition at line 19 of file HavingProjection.class.php.

## Member Function Documentation

HavingProjection::process | ( | Criteria $ | criteria,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  JoinCapableQuery

Implements ObjectProjection.

Definition at line 27 of file HavingProjection.class.php.

References Criteria::getDao().

Here is the call graph for this function:

## Member Data Documentation

HavingProjection::$logic = null`[private]`

Definition at line 17 of file HavingProjection.class.php.

The documentation for this class was generated from the following file:

- main/Criteria/Projections/HavingProjection.class.php